{ config, lib, pkgs, modulesPath, ... }:
{
  imports = [
    (modulesPath + "/profiles/qemu-guest.nix")
  ];

  boot.initrd = {
    availableKernelModules = [
      "xhci_pci"
      "virtio_scsi"
    ];
    kernelModules = [
      "dm-snapshot"
    ];
  };

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/e50e186d-e5bc-40b0-9cd7-43b609cde3ea";
      fsType = "btrfs";
      options = [ "subvol=@" ];
    };
    "/home" = {
      device = "/dev/disk/by-uuid/e50e186d-e5bc-40b0-9cd7-43b609cde3ea";
      fsType = "btrfs";
      options = [ "subvol=@home" ];
    };
    "/nix" = {
      device = "/dev/disk/by-uuid/e50e186d-e5bc-40b0-9cd7-43b609cde3ea";
      fsType = "btrfs";
      options = [ "subvol=@nix" ];
    };
    "/var" = {
      device = "/dev/disk/by-uuid/e50e186d-e5bc-40b0-9cd7-43b609cde3ea";
      fsType = "btrfs";
      options = [ "subvol=@var" ];
    };
    "/.snapshots" = {
      device = "/dev/disk/by-uuid/e50e186d-e5bc-40b0-9cd7-43b609cde3ea";
      fsType = "btrfs";
      options = [ "subvol=@snapshots" ];
    };
    "/boot" = {
      device = "/dev/disk/by-uuid/7C94-8C9A";
      fsType = "vfat";
      options = [ "fmask=0022" "dmask=0022" ];
    };
    "/export/Bulk" = {
      device = "/dev/disk/by-uuid/ef465845-cc56-4db5-9260-8ae515eb025e";
      fsType = "btrfs";
      noCheck = true;
    };
  };

  swapDevices = [
    { device = "/dev/disk/by-uuid/7e8c773d-c8f4-4dd8-a835-bde78e5b6760"; }
  ];

  networking.useDHCP = lib.mkDefault true;
  nixpkgs.hostPlatform = lib.mkDefault "aarch64-linux";
}
